using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            for (int i = 0; i < N-1; i++)
            {
                String[] niz = Console.ReadLine().Split();   
            }
            Console.WriteLine(N/2);
        }
    }
}